# Uses of Class
org.apache.sling.event.impl.jobs.JobImpl

Packages that use JobImpl
Package
Description
org.apache.sling.event.impl.jobs
org.apache.sling.event.impl.jobs.queues

## Uses of JobImpl in org.apache.sling.event.impl.jobs

Methods in org.apache.sling.event.impl.jobs that return JobImpl
Modifier and Type
Method
Description
`JobImpl`
JobHandler.`getJob()`
`static JobImpl`
Utility.`readJob(org.slf4j.Logger logger, org.apache.sling.api.resource.Resource resource)`
Read a job
Methods in org.apache.sling.event.impl.jobs with parameters of type JobImpl
Modifier and Type
Method
Description
`int`
JobImpl.`compareTo(JobImpl o)`
`boolean`
JobTopicTraverser.JobCallback.`handle(JobImpl job)`
Callback handle for a job.
Constructors in org.apache.sling.event.impl.jobs with parameters of type JobImpl
Modifier
Constructor
Description
``
`JobHandler(JobImpl job, org.apache.sling.event.jobs.consumer.JobExecutor consumer, JobManagerConfiguration configuration)`

## Uses of JobImpl in org.apache.sling.event.impl.jobs.queues

Methods in org.apache.sling.event.impl.jobs.queues with parameters of type JobImpl
Modifier and Type
Method
Description
`boolean`
JobQueueImpl.`stopJob(JobImpl job)`